Index: tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/OfficeProcess.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/OfficeProcess.java	(revision 2405)
+++ tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/OfficeProcess.java	(revision 2406)
@@ -28,182 +28,195 @@
 import org.artofsolving.jodconverter.util.PlatformUtils;
 
 class OfficeProcess {
-
-    private final File officeHome;
-    private final UnoUrl unoUrl;
-    private final String[] runAsArgs;
-    private final File templateProfileDir;
-    private final File instanceProfileDir;
-    private final ProcessManager processManager;
-
-    private Process process;
-    private long pid = PID_UNKNOWN;
-
-    private final Logger logger = Logger.getLogger(getClass().getName());
-
-    public OfficeProcess(File officeHome, UnoUrl unoUrl, String[] runAsArgs, File templateProfileDir, File workDir, ProcessManager processManager) {
-        this.officeHome = officeHome;
-        this.unoUrl = unoUrl;
-        this.runAsArgs = runAsArgs;
-        this.templateProfileDir = templateProfileDir;
-        this.instanceProfileDir = getInstanceProfileDir(workDir, unoUrl);
-        this.processManager = processManager;
-    }
-
-    public void start() throws IOException {
-        start(false);
-    }
-
-    public void start(boolean restart) throws IOException {
-        ProcessQuery processQuery = new ProcessQuery("soffice.bin", unoUrl.getAcceptString());
-        long existingPid = processManager.findPid(processQuery);
-    	if (!(existingPid == PID_NOT_FOUND || existingPid == PID_UNKNOWN)) {
+	
+	private final File officeHome;
+	
+	private final UnoUrl unoUrl;
+	
+	private final String[] runAsArgs;
+	
+	private final File templateProfileDir;
+	
+	private final File instanceProfileDir;
+	
+	private final ProcessManager processManager;
+	
+	private Process process;
+	
+	private long pid = PID_UNKNOWN;
+	
+	private final Logger logger = Logger.getLogger(getClass().getName());
+	
+	public OfficeProcess(File officeHome, UnoUrl unoUrl, String[] runAsArgs, File templateProfileDir, File workDir, ProcessManager processManager) {
+		this.officeHome = officeHome;
+		this.unoUrl = unoUrl;
+		this.runAsArgs = runAsArgs;
+		this.templateProfileDir = templateProfileDir;
+		this.instanceProfileDir = getInstanceProfileDir(workDir, unoUrl);
+		this.processManager = processManager;
+	}
+	
+	public void start() throws IOException {
+		start(false);
+	}
+	
+	public void start(boolean restart) throws IOException {
+		ProcessQuery processQuery = new ProcessQuery("soffice.bin", unoUrl.getAcceptString());
+		long existingPid = processManager.findPid(processQuery);
+		if (!(existingPid == PID_NOT_FOUND || existingPid == PID_UNKNOWN)) {
 			throw new IllegalStateException(String.format("a process with acceptString '%s' is already running; pid %d",
-			        unoUrl.getAcceptString(), existingPid));
-        }
-    	if (!restart) {
-    	    prepareInstanceProfileDir();
-    	}
-        List<String> command = new ArrayList<String>();
-        File executable = OfficeUtils.getOfficeExecutable(officeHome);
-        if (runAsArgs != null) {
-        	command.addAll(Arrays.asList(runAsArgs));
-        }
-        command.add(executable.getAbsolutePath());
-        command.add("-accept=" + unoUrl.getAcceptString() + ";urp;");
-        command.add("-env:UserInstallation=" + OfficeUtils.toUrl(instanceProfileDir));
-        command.add("-headless");
-        command.add("-nocrashreport");
-        command.add("-nodefault");
-        command.add("-nofirststartwizard");
-        command.add("-nolockcheck");
-        command.add("-nologo");
-        command.add("-norestore");
-        ProcessBuilder processBuilder = new ProcessBuilder(command);
-        if (PlatformUtils.isWindows()) {
-            addBasisAndUrePaths(processBuilder);
-        }
-        if (DefaultOfficeManagerConfiguration.DEBUG) logger.info(String.format("starting process with acceptString '%s' and profileDir '%s'", unoUrl, instanceProfileDir));
-        process = processBuilder.start();
-        pid = processManager.findPid(processQuery);
-        if (pid == PID_NOT_FOUND) {
-            throw new IllegalStateException(String.format("process with acceptString '%s' started but its pid could not be found",
-                    unoUrl.getAcceptString()));
-        }
-        if (DefaultOfficeManagerConfiguration.DEBUG) logger.info("started process" + (pid != PID_UNKNOWN ? "; pid = " + pid : ""));
-    }
-
-    private File getInstanceProfileDir(File workDir, UnoUrl unoUrl) {
-        String dirName = ".jodconverter_" + unoUrl.getAcceptString().replace(',', '_').replace('=', '-');
-        return new File(workDir, dirName);
-    }
-
-    private void prepareInstanceProfileDir() throws OfficeException {
-        if (instanceProfileDir.exists()) {
-            if (DefaultOfficeManagerConfiguration.DEBUG) logger.warning(String.format("profile dir '%s' already exists; deleting", instanceProfileDir));
-            deleteProfileDir();
-        }
-        if (templateProfileDir != null) {
-            try {
-                FileUtils.copyDirectory(templateProfileDir, instanceProfileDir);
-            } catch (IOException ioException) {
-                throw new OfficeException("failed to create profileDir", ioException);
-            }
-        }
-    }
-
-    public void deleteProfileDir() {
-        if (instanceProfileDir != null) {
-            try {
-                FileUtils.deleteDirectory(instanceProfileDir);
-            } catch (IOException ioException) {
-                File oldProfileDir = new File(instanceProfileDir.getParentFile(), instanceProfileDir.getName() + ".old." + System.currentTimeMillis());
-                if (instanceProfileDir.renameTo(oldProfileDir)) {
-                    if (DefaultOfficeManagerConfiguration.DEBUG) logger.warning("could not delete profileDir: " + ioException.getMessage() + "; renamed it to " + oldProfileDir);
-                } else {
-                    if (DefaultOfficeManagerConfiguration.DEBUG) logger.severe("could not delete profileDir: " + ioException.getMessage());
-                }
-            }
-        }
-    }
-
-    private void addBasisAndUrePaths(ProcessBuilder processBuilder) throws IOException {
-        // see http://wiki.services.openoffice.org/wiki/ODF_Toolkit/Efforts/Three-Layer_OOo
-        File basisLink = new File(officeHome, "basis-link");
-        if (!basisLink.isFile()) {
-            logger.fine("no %OFFICE_HOME%/basis-link found; assuming it's OOo 2.x and we don't need to append URE and Basic paths");
-            return;
-        }
-        String basisLinkText = FileUtils.readFileToString(basisLink).trim();
-        File basisHome = new File(officeHome, basisLinkText);
-        File basisProgram = new File(basisHome, "program");
-        File ureLink = new File(basisHome, "ure-link");
-        String ureLinkText = FileUtils.readFileToString(ureLink).trim();
-        File ureHome = new File(basisHome, ureLinkText);
-        File ureBin = new File(ureHome, "bin");
-        Map<String,String> environment = processBuilder.environment();
-        // Windows environment variables are case insensitive but Java maps are not :-/
-        // so let's make sure we modify the existing key
-        String pathKey = "PATH";
-        for (String key : environment.keySet()) {
-            if ("PATH".equalsIgnoreCase(key)) {
-                pathKey = key;
-            }
-        }
-        String path = environment.get(pathKey) + ";" + ureBin.getAbsolutePath() + ";" + basisProgram.getAbsolutePath();
-        logger.fine(String.format("setting %s to \"%s\"", pathKey, path));
-        environment.put(pathKey, path);
-    }
-
-    public boolean isRunning() {
-        if (process == null) {
-            return false;
-        }
-        return getExitCode() == null;
-    }
-
-    private class ExitCodeRetryable extends Retryable {
-        
-        private int exitCode;
-        
-        protected void attempt() throws TemporaryException, Exception {
-            try {
-                exitCode = process.exitValue();
-            } catch (IllegalThreadStateException illegalThreadStateException) {
-                throw new TemporaryException(illegalThreadStateException);
-            }
-        }
-        
-        public int getExitCode() {
-            return exitCode;
-        }
-
-    }
-
-    public Integer getExitCode() {
-        try {
-            return process.exitValue();
-        } catch (IllegalThreadStateException exception) {
-            return null;
-        }
-    }
-
-    public int getExitCode(long retryInterval, long retryTimeout) throws RetryTimeoutException {
-        try {
-            ExitCodeRetryable retryable = new ExitCodeRetryable();
-            retryable.execute(retryInterval, retryTimeout);
-            return retryable.getExitCode();
-        } catch (RetryTimeoutException retryTimeoutException) {
-            throw retryTimeoutException;
-        } catch (Exception exception) {
-            throw new OfficeException("could not get process exit code", exception);
-        }
-    }
-
-    public int forciblyTerminate(long retryInterval, long retryTimeout) throws IOException, RetryTimeoutException {
-        if (DefaultOfficeManagerConfiguration.DEBUG) logger.info(String.format("trying to forcibly terminate process: '" + unoUrl + "'" + (pid != PID_UNKNOWN ? " (pid " + pid  + ")" : "")));
-        processManager.kill(process, pid);
-        return getExitCode(retryInterval, retryTimeout);
-    }
-
+					unoUrl.getAcceptString(), existingPid));
+		}
+		if (!restart) {
+			prepareInstanceProfileDir();
+		}
+		List<String> command = new ArrayList<String>();
+		File executable = OfficeUtils.getOfficeExecutable(officeHome);
+		if (runAsArgs != null) {
+			command.addAll(Arrays.asList(runAsArgs));
+		}
+		command.add(executable.getAbsolutePath());
+		command.add("-accept=" + unoUrl.getAcceptString() + ";urp;");
+		command.add("-env:UserInstallation=" + OfficeUtils.toUrl(instanceProfileDir));
+		command.add("-headless");
+		command.add("-nocrashreport");
+		command.add("-nodefault");
+		command.add("-nofirststartwizard");
+		command.add("-nolockcheck");
+		command.add("-nologo");
+		command.add("-norestore");
+		ProcessBuilder processBuilder = new ProcessBuilder(command);
+		if (PlatformUtils.isWindows()) {
+			addBasisAndUrePaths(processBuilder);
+		}
+		if (DefaultOfficeManagerConfiguration.DEBUG) logger.info(String.format("starting process with acceptString '%s' and profileDir '%s'", unoUrl, instanceProfileDir));
+		process = processBuilder.start();
+		pid = processManager.findPid(processQuery);
+		if (pid == PID_NOT_FOUND) {
+			throw new IllegalStateException(String.format("process with acceptString '%s' started but its pid could not be found",
+					unoUrl.getAcceptString()));
+		}
+		if (DefaultOfficeManagerConfiguration.DEBUG) logger.info("started process" + (pid != PID_UNKNOWN ? "; pid = " + pid : ""));
+	}
+	
+	private File getInstanceProfileDir(File workDir, UnoUrl unoUrl) {
+		String dirName = ".jodconverter_" + unoUrl.getAcceptString().replace(',', '_').replace('=', '-');
+		return new File(workDir, dirName);
+	}
+	
+	private void prepareInstanceProfileDir() throws OfficeException {
+		if (instanceProfileDir.exists()) {
+			if (DefaultOfficeManagerConfiguration.DEBUG) logger.warning(String.format("profile dir '%s' already exists; deleting", instanceProfileDir));
+			deleteProfileDir();
+		}
+		if (templateProfileDir != null) {
+			try {
+				FileUtils.copyDirectory(templateProfileDir, instanceProfileDir);
+			}
+			catch (IOException ioException) {
+				throw new OfficeException("failed to create profileDir", ioException);
+			}
+		}
+	}
+	
+	public void deleteProfileDir() {
+		if (instanceProfileDir != null) {
+			try {
+				FileUtils.deleteDirectory(instanceProfileDir);
+			}
+			catch (IOException ioException) {
+				File oldProfileDir = new File(instanceProfileDir.getParentFile(), instanceProfileDir.getName() + ".old." + System.currentTimeMillis());
+				if (instanceProfileDir.renameTo(oldProfileDir)) {
+					if (DefaultOfficeManagerConfiguration.DEBUG) logger.warning("could not delete profileDir: " + ioException.getMessage() + "; renamed it to " + oldProfileDir);
+				}
+				else {
+					if (DefaultOfficeManagerConfiguration.DEBUG) logger.severe("could not delete profileDir: " + ioException.getMessage());
+				}
+			}
+		}
+	}
+	
+	private void addBasisAndUrePaths(ProcessBuilder processBuilder) throws IOException {
+		// see http://wiki.services.openoffice.org/wiki/ODF_Toolkit/Efforts/Three-Layer_OOo
+		File basisLink = new File(officeHome, "basis-link");
+		if (!basisLink.isFile()) {
+			logger.fine("no %OFFICE_HOME%/basis-link found; assuming it's OOo 2.x and we don't need to append URE and Basic paths");
+			return;
+		}
+		String basisLinkText = FileUtils.readFileToString(basisLink).trim();
+		File basisHome = new File(officeHome, basisLinkText);
+		File basisProgram = new File(basisHome, "program");
+		File ureLink = new File(basisHome, "ure-link");
+		String ureLinkText = FileUtils.readFileToString(ureLink).trim();
+		File ureHome = new File(basisHome, ureLinkText);
+		File ureBin = new File(ureHome, "bin");
+		Map<String, String> environment = processBuilder.environment();
+		// Windows environment variables are case insensitive but Java maps are not :-/
+		// so let's make sure we modify the existing key
+		String pathKey = "PATH";
+		for (String key : environment.keySet()) {
+			if ("PATH".equalsIgnoreCase(key)) {
+				pathKey = key;
+			}
+		}
+		String path = environment.get(pathKey) + ";" + ureBin.getAbsolutePath() + ";" + basisProgram.getAbsolutePath();
+		logger.fine(String.format("setting %s to \"%s\"", pathKey, path));
+		environment.put(pathKey, path);
+	}
+	
+	public boolean isRunning() {
+		if (process == null) {
+			return false;
+		}
+		return getExitCode() == null;
+	}
+	
+	private class ExitCodeRetryable extends Retryable {
+		
+		private int exitCode;
+		
+		protected void attempt() throws TemporaryException, Exception {
+			try {
+				exitCode = process.exitValue();
+			}
+			catch (IllegalThreadStateException illegalThreadStateException) {
+				throw new TemporaryException(illegalThreadStateException);
+			}
+		}
+		
+		public int getExitCode() {
+			return exitCode;
+		}
+		
+	}
+	
+	public Integer getExitCode() {
+		try {
+			return process.exitValue();
+		}
+		catch (IllegalThreadStateException exception) {
+			return null;
+		}
+	}
+	
+	public int getExitCode(long retryInterval, long retryTimeout) throws RetryTimeoutException {
+		try {
+			ExitCodeRetryable retryable = new ExitCodeRetryable();
+			retryable.execute(retryInterval, retryTimeout);
+			return retryable.getExitCode();
+		}
+		catch (RetryTimeoutException retryTimeoutException) {
+			throw retryTimeoutException;
+		}
+		catch (Exception exception) {
+			throw new OfficeException("could not get process exit code", exception);
+		}
+	}
+	
+	public int forciblyTerminate(long retryInterval, long retryTimeout) throws IOException, RetryTimeoutException {
+		if (DefaultOfficeManagerConfiguration.DEBUG) logger.info(String.format("trying to forcibly terminate process: '" + unoUrl + "'" + (pid != PID_UNKNOWN ? " (pid " + pid + ")" : "")));
+		processManager.kill(process, pid);
+		return getExitCode(retryInterval, retryTimeout);
+	}
+	
 }
Index: tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/OfficeConnectionProtocol.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/OfficeConnectionProtocol.java	(revision 2405)
+++ tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/OfficeConnectionProtocol.java	(revision 2406)
@@ -12,4 +12,6 @@
 //
 package org.artofsolving.jodconverter.office;
 
-public enum OfficeConnectionProtocol { PIPE, SOCKET }
\ No newline at end of file
+public enum OfficeConnectionProtocol {
+	PIPE, SOCKET
+}
Index: tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/AbstractConversionTask.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/AbstractConversionTask.java	(revision 2405)
+++ tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/AbstractConversionTask.java	(revision 2406)
@@ -34,92 +34,103 @@
 import com.sun.star.util.XCloseable;
 
 public abstract class AbstractConversionTask implements OfficeTask {
-
-    private final File inputFile;
-    private final File outputFile;
-
-    public AbstractConversionTask(File inputFile, File outputFile) {
-        this.inputFile = inputFile;
-        this.outputFile = outputFile;
-    }
-
-    protected abstract Map<String,?> getLoadProperties(File inputFile);
-
-    protected abstract Map<String,?> getStoreProperties(File outputFile, XComponent document);
-
-    public void execute(OfficeContext context) throws OfficeException {
-        XComponent document = null;
-        try {
-            document = loadDocument(context, inputFile);
-            modifyDocument(document);
-            storeDocument(document, outputFile);
-        } catch (OfficeException officeException) {
-            throw officeException;
-        } catch (Exception exception) {
-            throw new OfficeException("conversion failed", exception);
-        } finally {
-            if (document != null) {
-                XCloseable closeable = cast(XCloseable.class, document);
-                if (closeable != null) {
-                    try {
-                        closeable.close(true);
-                    } catch (CloseVetoException closeVetoException) {
-                        // whoever raised the veto should close the document
-                    }
-                } else {
-                    document.dispose();
-                }
-            }
-        }
-    }
-
-    private XComponent loadDocument(OfficeContext context, File inputFile) throws OfficeException {
-        if (!inputFile.exists()) {
-            throw new OfficeException("input document not found");
-        }
-        XComponentLoader loader = cast(XComponentLoader.class, context.getService(SERVICE_DESKTOP));
-        Map<String,?> loadProperties = getLoadProperties(inputFile);
-        XComponent document = null;
-        try {
-            document = loader.loadComponentFromURL(toUrl(inputFile), "_blank", 0, toUnoProperties(loadProperties));
-        } catch (IllegalArgumentException illegalArgumentException) {
-            throw new OfficeException("could not load document: " + inputFile.getName(), illegalArgumentException);
-        } catch (ErrorCodeIOException errorCodeIOException) {
-            throw new OfficeException("could not load document: "  + inputFile.getName() + "; errorCode: " + errorCodeIOException.ErrCode, errorCodeIOException);
-        } catch (IOException ioException) {
-            throw new OfficeException("could not load document: "  + inputFile.getName(), ioException);
-        }
-        if (document == null) {
-            throw new OfficeException("could not load document: "  + inputFile.getName());
-        }
-        return document;
-    }
-
-    /**
-     * Override to modify the document after it has been loaded and before it gets
-     * saved in the new format.
-     * <p>
-     * Does nothing by default.
-     * 
-     * @param document
-     * @throws OfficeException
-     */
-    protected void modifyDocument(XComponent document) throws OfficeException {
-    	// noop
-    }
-
-    private void storeDocument(XComponent document, File outputFile) throws OfficeException {
-        Map<String,?> storeProperties = getStoreProperties(outputFile, document);
-        if (storeProperties == null) {
-            throw new OfficeException("unsupported conversion");
-        }
-        try {
-            cast(XStorable.class, document).storeToURL(toUrl(outputFile), toUnoProperties(storeProperties));
-        } catch (ErrorCodeIOException errorCodeIOException) {
-            throw new OfficeException("could not store document: " + outputFile.getName() + "; errorCode: " + errorCodeIOException.ErrCode, errorCodeIOException);
-        } catch (IOException ioException) {
-            throw new OfficeException("could not store document: " + outputFile.getName(), ioException);
-        }
-    }
-
+	
+	private final File inputFile;
+	
+	private final File outputFile;
+	
+	public AbstractConversionTask(File inputFile, File outputFile) {
+		this.inputFile = inputFile;
+		this.outputFile = outputFile;
+	}
+	
+	protected abstract Map<String, ?> getLoadProperties(File inputFile);
+	
+	protected abstract Map<String, ?> getStoreProperties(File outputFile, XComponent document);
+	
+	public void execute(OfficeContext context) throws OfficeException {
+		XComponent document = null;
+		try {
+			document = loadDocument(context, inputFile);
+			modifyDocument(document);
+			storeDocument(document, outputFile);
+		}
+		catch (OfficeException officeException) {
+			throw officeException;
+		}
+		catch (Exception exception) {
+			throw new OfficeException("conversion failed", exception);
+		}
+		finally {
+			if (document != null) {
+				XCloseable closeable = cast(XCloseable.class, document);
+				if (closeable != null) {
+					try {
+						closeable.close(true);
+					}
+					catch (CloseVetoException closeVetoException) {
+						// whoever raised the veto should close the document
+					}
+				}
+				else {
+					document.dispose();
+				}
+			}
+		}
+	}
+	
+	private XComponent loadDocument(OfficeContext context, File inputFile) throws OfficeException {
+		if (!inputFile.exists()) {
+			throw new OfficeException("input document not found");
+		}
+		XComponentLoader loader = cast(XComponentLoader.class, context.getService(SERVICE_DESKTOP));
+		Map<String, ?> loadProperties = getLoadProperties(inputFile);
+		XComponent document = null;
+		try {
+			document = loader.loadComponentFromURL(toUrl(inputFile), "_blank", 0, toUnoProperties(loadProperties));
+		}
+		catch (IllegalArgumentException illegalArgumentException) {
+			throw new OfficeException("could not load document: " + inputFile.getName(), illegalArgumentException);
+		}
+		catch (ErrorCodeIOException errorCodeIOException) {
+			throw new OfficeException("could not load document: " + inputFile.getName() + "; errorCode: " + errorCodeIOException.ErrCode, errorCodeIOException);
+		}
+		catch (IOException ioException) {
+			throw new OfficeException("could not load document: " + inputFile.getName(), ioException);
+		}
+		if (document == null) {
+			throw new OfficeException("could not load document: " + inputFile.getName());
+		}
+		return document;
+	}
+	
+	/**
+	 * Override to modify the document after it has been loaded and before it gets
+	 * saved in the new format.
+	 * <p>
+	 * Does nothing by default.
+	 * 
+	 * @param document
+	 * @throws OfficeException
+	 */
+	protected void modifyDocument(XComponent document) throws OfficeException {
+		// noop
+	}
+	
+	private void storeDocument(XComponent document, File outputFile) throws OfficeException {
+		Map<String, ?> storeProperties = getStoreProperties(outputFile, document);
+		if (storeProperties == null) {
+			throw new OfficeException("unsupported conversion");
+		}
+		try {
+			cast(XStorable.class, document).storeToURL(toUrl(outputFile), toUnoProperties(storeProperties));
+		}
+		catch (ErrorCodeIOException errorCodeIOException) {
+			throw new OfficeException("could not store document: " + outputFile.getName() + "; errorCode: " + errorCodeIOException.ErrCode, errorCodeIOException);
+		}
+		catch (IOException ioException) {
+			throw new OfficeException("could not store document: " + outputFile.getName(), ioException);
+		}
+	}
+	
 }
